GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory Class Reference

## Public Member Functions
| ObjectFactory ()
ValidateShipmentRequestData | createValidateShipmentRequestData ()
Shipment | createShipment ()
ShipmentRequestData | createShipmentRequestData ()
PrintingOptions | createPrintingOptions ()
CustomContent | createCustomContent ()
ReturnOptions | createReturnOptions ()
AllowedServicesRequestParameter | createAllowedServicesRequestParameter ()
Location | createLocation ()
UpdateParcelWeightRequestParameter | createUpdateParcelWeightRequestParameter ()
CreateParcelsResponse | createCreateParcelsResponse ()
CreatedShipment | createCreatedShipment ()
ValidateParcelsResponse | createValidateParcelsResponse ()
ShipmentValidationResult | createShipmentValidationResult ()
CancelParcelResponse | createCancelParcelResponse ()
AllowedServicesResponse | createAllowedServicesResponse ()
AllowedService | createAllowedService ()
EndOfDayResponse | createEndOfDayResponse ()
UpdateParcelWeightResponse | createUpdateParcelWeightResponse ()
RelabelParcelRequestParameter | createRelabelParcelRequestParameter ()
RelabelParcelResponse | createRelabelParcelResponse ()
ReprintParcelRequestParameter | createReprintParcelRequestParameter ()
ReprintParcelResponse | createReprintParcelResponse ()
InvalidShipmentIDFault | createInvalidShipmentIDFault ()
InvalidShipmentUnitFault | createInvalidShipmentUnitFault ()
ShipmentUnit | createShipmentUnit ()
CouldNotTransmitShipmentsFault | createCouldNotTransmitShipmentsFault ()
ValidationIssue | createValidationIssue ()
Document | createDocument ()
ParcelData | createParcelData ()
NDIArea | createNDIArea ()
MondialRelayArea | createMondialRelayArea ()
MetaData | createMetaData ()
RoutingInfo | createRoutingInfo ()
ExpressData | createExpressData ()
ServiceArea | createServiceArea ()
ServiceInfo | createServiceInfo ()
Information | createInformation ()
Barcodes | createBarcodes ()
ItalianData | createItalianData ()
ReturnLabels | createReturnLabels ()
DefinePrinter | createDefinePrinter ()
JAXBElement< String > | createTrackID (String value)
JAXBElement< String > | createEndOfDayDate (String value)

## Detailed Description

This object contains factory methods for each Java content interface and Java element interface generated in the eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Definition at line 25 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## Constructor & Destructor Documentation

## ◆ ObjectFactory()

eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.ObjectFactory | ( |  | ) |

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing

Definition at line 34 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## Member Function Documentation

## ◆ createAllowedService()

AllowedService eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createAllowedService | ( |  | ) |

Create an instance of AllowedService

Definition at line 161 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createAllowedServicesRequestParameter()

AllowedServicesRequestParameter eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createAllowedServicesRequestParameter | ( |  | ) |

Create an instance of AllowedServicesRequestParameter

Definition at line 89 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createAllowedServicesResponse()

AllowedServicesResponse eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createAllowedServicesResponse | ( |  | ) |

Create an instance of AllowedServicesResponse

Definition at line 153 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createBarcodes()

Barcodes eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createBarcodes | ( |  | ) |

Create an instance of Barcodes

Definition at line 337 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createCancelParcelResponse()

CancelParcelResponse eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createCancelParcelResponse | ( |  | ) |

Create an instance of CancelParcelResponse

Definition at line 145 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createCouldNotTransmitShipmentsFault()

CouldNotTransmitShipmentsFault eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createCouldNotTransmitShipmentsFault | ( |  | ) |

Create an instance of CouldNotTransmitShipmentsFault

Definition at line 241 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createCreatedShipment()

CreatedShipment eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createCreatedShipment | ( |  | ) |

Create an instance of CreatedShipment

Definition at line 121 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createCreateParcelsResponse()

CreateParcelsResponse eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createCreateParcelsResponse | ( |  | ) |

Create an instance of CreateParcelsResponse

Definition at line 113 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createCustomContent()

CustomContent eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createCustomContent | ( |  | ) |

Create an instance of CustomContent

Definition at line 73 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createDefinePrinter()

DefinePrinter eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createDefinePrinter | ( |  | ) |

Create an instance of DefinePrinter

Definition at line 361 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createDocument()

Document eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createDocument | ( |  | ) |

Create an instance of Document

Definition at line 257 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createEndOfDayDate()

JAXBElement<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createEndOfDayDate | ( | String | value | ) |

Create an instance of JAXBElement

<

String

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  String
  >

Definition at line 387 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createEndOfDayResponse()

EndOfDayResponse eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createEndOfDayResponse | ( |  | ) |

Create an instance of EndOfDayResponse

Definition at line 169 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createExpressData()

ExpressData eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createExpressData | ( |  | ) |

Create an instance of ExpressData

Definition at line 305 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createInformation()

Information eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createInformation | ( |  | ) |

Create an instance of Information

Definition at line 329 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createInvalidShipmentIDFault()

InvalidShipmentIDFault eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createInvalidShipmentIDFault | ( |  | ) |

Create an instance of InvalidShipmentIDFault

Definition at line 217 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createInvalidShipmentUnitFault()

InvalidShipmentUnitFault eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createInvalidShipmentUnitFault | ( |  | ) |

Create an instance of InvalidShipmentUnitFault

Definition at line 225 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createItalianData()

ItalianData eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createItalianData | ( |  | ) |

Create an instance of ItalianData

Definition at line 345 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createLocation()

Location eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createLocation | ( |  | ) |

Create an instance of Location

Definition at line 97 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createMetaData()

MetaData eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createMetaData | ( |  | ) |

Create an instance of MetaData

Definition at line 289 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createMondialRelayArea()

MondialRelayArea eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createMondialRelayArea | ( |  | ) |

Create an instance of MondialRelayArea

Definition at line 281 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createNDIArea()

NDIArea eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createNDIArea | ( |  | ) |

Create an instance of NDIArea

Definition at line 273 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createParcelData()

ParcelData eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createParcelData | ( |  | ) |

Create an instance of ParcelData

Definition at line 265 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createPrintingOptions()

PrintingOptions eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createPrintingOptions | ( |  | ) |

Create an instance of PrintingOptions

Definition at line 65 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createRelabelParcelRequestParameter()

RelabelParcelRequestParameter eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createRelabelParcelRequestParameter | ( |  | ) |

Create an instance of RelabelParcelRequestParameter

Definition at line 185 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createRelabelParcelResponse()

RelabelParcelResponse eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createRelabelParcelResponse | ( |  | ) |

Create an instance of RelabelParcelResponse

Definition at line 193 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createReprintParcelRequestParameter()

ReprintParcelRequestParameter eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createReprintParcelRequestParameter | ( |  | ) |

Create an instance of ReprintParcelRequestParameter

Definition at line 201 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createReprintParcelResponse()

ReprintParcelResponse eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createReprintParcelResponse | ( |  | ) |

Create an instance of ReprintParcelResponse

Definition at line 209 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createReturnLabels()

ReturnLabels eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createReturnLabels | ( |  | ) |

Create an instance of ReturnLabels

Definition at line 353 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createReturnOptions()

ReturnOptions eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createReturnOptions | ( |  | ) |

Create an instance of ReturnOptions

Definition at line 81 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createRoutingInfo()

RoutingInfo eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createRoutingInfo | ( |  | ) |

Create an instance of RoutingInfo

Definition at line 297 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createServiceArea()

ServiceArea eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createServiceArea | ( |  | ) |

Create an instance of ServiceArea

Definition at line 313 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createServiceInfo()

ServiceInfo eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createServiceInfo | ( |  | ) |

Create an instance of ServiceInfo

Definition at line 321 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createShipment()

Shipment eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createShipment | ( |  | ) |

Create an instance of Shipment

Definition at line 49 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createShipmentRequestData()

ShipmentRequestData eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createShipmentRequestData | ( |  | ) |

Create an instance of ShipmentRequestData

Definition at line 57 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createShipmentUnit()

ShipmentUnit eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createShipmentUnit | ( |  | ) |

Create an instance of ShipmentUnit

Definition at line 233 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createShipmentValidationResult()

ShipmentValidationResult eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createShipmentValidationResult | ( |  | ) |

Create an instance of ShipmentValidationResult

Definition at line 137 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createTrackID()

JAXBElement<String> eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createTrackID | ( | String | value | ) |

Create an instance of JAXBElement

<

String

>

Parameters

  value | Java instance representing xml element's value.

Returns
  the new instance of JAXBElement
  <
  String
  >

Definition at line 374 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createUpdateParcelWeightRequestParameter()

UpdateParcelWeightRequestParameter eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createUpdateParcelWeightRequestParameter | ( |  | ) |

Create an instance of UpdateParcelWeightRequestParameter

Definition at line 105 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createUpdateParcelWeightResponse()

UpdateParcelWeightResponse eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createUpdateParcelWeightResponse | ( |  | ) |

Create an instance of UpdateParcelWeightResponse

Definition at line 177 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createValidateParcelsResponse()

ValidateParcelsResponse eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createValidateParcelsResponse | ( |  | ) |

Create an instance of ValidateParcelsResponse

Definition at line 129 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createValidateShipmentRequestData()

ValidateShipmentRequestData eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createValidateShipmentRequestData | ( |  | ) |

Create an instance of ValidateShipmentRequestData

Definition at line 41 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

## ◆ createValidationIssue()

ValidationIssue eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.ObjectFactory.createValidationIssue | ( |  | ) |

Create an instance of ValidationIssue

Definition at line 249 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/ObjectFactory.java